<?php

error_reporting(0);
// error_reporting(E_ALL);
// ini_set('display_errors', 1);

/* Importa o arquivo onde a função de upload está implementada */
require_once('funcao_upload.php');

/* Captura o arquivo selecionado */

$arquivo = '';

if (isset($_FILES['arquivo_edit_video'])) {
    $arquivo = $_FILES['arquivo_edit_video'];
} else if (isset($_FILES['arquivo_video'])) {
    $arquivo = $_FILES['arquivo_video'];
}

/*Define os tipos de arquivos válidos (No nosso caso, só vídeos)*/
$tipos = array('mp4');

/* Chama a função para enviar o arquivo */
$enviar = uploadFile($arquivo, 'uploads/', $tipos);

$data['sucesso'] = false;

if ($enviar['erro']) {
    $data['msg'] = $enviar['erro'];
} else {
    $data['sucesso'] = true;

    /* Caminho do arquivo */
    $data['msg'] = $enviar['caminho'];
}

/* Codifica a variável array $data para o formato JSON */
echo json_encode($data);
